Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Do not post support requests, bug reports or feature requests. Discuss phpBB here. Non-phpBB related discussion goes in General Discussion!
Scam Warning
Locked
User avatar
sevenalive
Translator
Posts: 437
Joined: Thu Feb 07, 2008 4:45 am
Location: Tempe, AZ
Name: Robert

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by sevenalive » Thu Jan 28, 2010 11:44 pm

The announcement states it's early in development. If it were to be released in 2011, that would be great, but it's unrealistic. There were several Beta's and RC's of 3.0 before it went Gold and i expect the same for 3.1.
6-9 months for a beta, maybe, but gold i think thats pushing it.

Although if i am wrong, so be it, it was just my projected time frame, nothing personal.

User avatar
Marshalrusty
Project Manager
Project Manager
Posts: 29247
Joined: Mon Nov 22, 2004 10:45 pm
Location: New York City
Name: Yuriy Rusko
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Marshalrusty » Thu Jan 28, 2010 11:47 pm

There's really no point in arguing about this, since you can predict the future as well as we can.

It's just that you made it sound like 2012 was somehow officially "expected" by someone other than yourself ;)
Have comments/praise/complaints/suggestions? Please feel free to PM me.

Need private help? Hire me for all your phpBB and web development needs

User avatar
sevenalive
Translator
Posts: 437
Joined: Thu Feb 07, 2008 4:45 am
Location: Tempe, AZ
Name: Robert

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by sevenalive » Thu Jan 28, 2010 11:56 pm

Your right and i do hope it gets released when it can. I edited my post so it doesn't seem like it was official.

User avatar
.Joel
Registered User
Posts: 127
Joined: Sat Jan 28, 2006 11:41 pm

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by .Joel » Fri Jan 29, 2010 12:18 am

We got a pack of nit-picking-over-semantic-arseholes in this topic :lol:

Chill a bit, it's not like it's coming out tomorrow. By the time it's released you would have had a good year or two atleast before you need to upgrade. If you can't find yourself a provider or server with php 5.2 by that time then really, what are you doing with your time :lol:

If this upgrade speeds up development, makes code easier and adds a larger feature set that increases usability and friendliness to the end user then i'm all for it.

Regards,

.Joel

User avatar
Eelke
QA Team
Posts: 2903
Joined: Thu Dec 20, 2001 8:00 am
Location: NL, Bussum
Name: Eelke Blok
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Eelke » Fri Jan 29, 2010 8:57 am

The point about RHEL also applies to CentOS, the free version of RHEL. It was the reason for me to select Debian for the VPN I ordered a few months ago. The research I did back then also suggested 5.2 wasn't going to be supported any time soon.

Hauzer
Registered User
Posts: 52
Joined: Fri Sep 21, 2007 3:18 pm

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Hauzer » Fri Jan 29, 2010 8:41 pm

Hi there,

It's a great update, and I don't mind the PHP version drop, as I'm up to date with PHP. However I'm wondering if phpBB 3.1 will have any style updates? If so, will we have to re-code our skins/styles/themes to be compatible with 3.1?

Kind regards.
Image
Extremely Affordable Skins, Artistic & Creative Designs, Suppot for IPB, vB, and phpBB!

User avatar
Cpt. Blackbeard
Registered User
Posts: 443
Joined: Sat Oct 31, 2009 4:39 am
Location: USA
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Cpt. Blackbeard » Fri Jan 29, 2010 9:21 pm

I'm fine with it. I have 5.2.9 now so I'm good for 3.1, my host will certainly upgrade it long before any future phpBB version needs any better.

User avatar
Highway of Life
Former Team Member
Posts: 6048
Joined: Wed Feb 02, 2005 5:41 pm
Location: Spokane, WA
Name: David Lewis
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Highway of Life » Fri Jan 29, 2010 9:35 pm

.Joel wrote:By the time it's released you would have had a good year or two atleast before you need to upgrade. If you can't find yourself a provider or server with php 5.2 by that time then really, what are you doing with your time :lol:
Except support for PHP4 has already ended, so people shouldn’t wait another day to ensure they are on PHP5, most hosts have a switch in your hosting control panel that allows you to switch from PHP4 to PHP5 when you are ready.
If you do not have that switch and you appear "stuck" on PHP4, you need to run from that host like the plague.

Would you be comfortable running Windows XP SP1, knowing there are some security issues with it? - You should treat your server the same way, you don’t want to be running out-of-date and potentially insecure software running on your server any more than you want insecure and vulnerable software running on your PC.

Optimally, you want a host that stays up-to-date with the latest PHP version, but at least as long as they have a fairly recent version of PHP 5.2, you are probably okay. Personally, I wouldn’t be satisfied being on PHP 5.1 since the last version (5.1.6) was released in August of 2006, over 3.5 years ago.

If you are in charge of your own server, php.net has plenty of migration guides from upgrading from previous versions of PHP to the latest version of PHP, it’s easy to do and doesn’t take much time. Plus nothing beats the peace knowing that you are running the most up-to-date version of PHP including bug fixes and security patches.
The phpBB Weekly Podcast - Discussing the developments of phpBB4 and beyond.

New to phpBB3? Want to learn about programing?
Visit phpBB Academy at StarTrekGuide to learn how.

Desdenova
Registered User
Posts: 646
Joined: Sat Feb 23, 2008 7:25 pm

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Desdenova » Fri Jan 29, 2010 11:36 pm

Highway of Life wrote:
.Joel wrote:By the time it's released you would have had a good year or two atleast before you need to upgrade. If you can't find yourself a provider or server with php 5.2 by that time then really, what are you doing with your time :lol:
Except support for PHP4 has already ended, so people shouldn’t wait another day to ensure they are on PHP5, most hosts have a switch in your hosting control panel that allows you to switch from PHP4 to PHP5 when you are ready.
If you do not have that switch and you appear "stuck" on PHP4, you need to run from that host like the plague.

Would you be comfortable running Windows XP SP1, knowing there are some security issues with it? - You should treat your server the same way, you don’t want to be running out-of-date and potentially insecure software running on your server any more than you want insecure and vulnerable software running on your PC.

Optimally, you want a host that stays up-to-date with the latest PHP version, but at least as long as they have a fairly recent version of PHP 5.2, you are probably okay. Personally, I wouldn’t be satisfied being on PHP 5.1 since the last version (5.1.6) was released in August of 2006, over 3.5 years ago.

If you are in charge of your own server, php.net has plenty of migration guides from upgrading from previous versions of PHP to the latest version of PHP, it’s easy to do and doesn’t take much time. Plus nothing beats the peace knowing that you are running the most up-to-date version of PHP including bug fixes and security patches.
I think that Windows 98 would probably be a better comparison, as XP is still supported by Microsoft, and Windows 98 isn't. Yes, it's a larger timespan, but (as many are aware) things move faster with open source products/projects.

User avatar
onehundredandtwo
Registered User
Posts: 1228
Joined: Fri Nov 14, 2008 8:07 am

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by onehundredandtwo » Sat Jan 30, 2010 12:34 am

Great news. Loads of other projects (such as phpMyAdmin, Moodle) have already made this decision.
Need help preventing spam? Read Preventing spam in phpBB 3.0.6 and above

User avatar
sevenalive
Translator
Posts: 437
Joined: Thu Feb 07, 2008 4:45 am
Location: Tempe, AZ
Name: Robert

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by sevenalive » Sat Jan 30, 2010 5:22 am

Hauzer wrote:Hi there,

It's a great update, and I don't mind the PHP version drop, as I'm up to date with PHP. However I'm wondering if phpBB 3.1 will have any style updates? If so, will we have to re-code our skins/styles/themes to be compatible with 3.1?

Kind regards.
You should update your style with every phpBB update. I believe most if not all 3.0.x updates make changes to the template and/or css. There is a thread you can search for an update guide to update your style to 3.0.6

User avatar
KaneSP
Registered User
Posts: 55
Joined: Fri Dec 18, 2009 6:58 am
Location: Wamp
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by KaneSP » Sat Jan 30, 2010 7:27 am

EightOhProlene wrote:Can someone explain to me why people seem to think I need to know what version of PHP they are using? I do not care what version PHP is on your server. Discuss the announcement, as requested.
My version is 5.2.11 :D

Couldn't be happier.

Anyway, looking forward to the next important announcement like this... IE6...
Choose your side, Vampire or Lycan!
Image

User avatar
tbackoff
Former Team Member
Posts: 7022
Joined: Thu Jun 04, 2009 1:41 am
Location: cheerleading practice
Name: Tabitha Backoff

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by tbackoff » Sat Jan 30, 2010 12:56 pm

KaneSP wrote:looking forward to the next important announcement like this... IE6...
I believe phpBB 3.0.x was planned before IE7 / IE8 were released. ;)
Flying is the second best thrill to cheerleaders; being caught is the first.

User avatar
Highway of Life
Former Team Member
Posts: 6048
Joined: Wed Feb 02, 2005 5:41 pm
Location: Spokane, WA
Name: David Lewis
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Highway of Life » Sat Jan 30, 2010 6:21 pm

Desdenova wrote:I think that Windows 98 would probably be a better comparison, as XP is still supported by Microsoft, and Windows 98 isn't. Yes, it's a larger timespan, but (as many are aware) things move faster with open source products/projects.
Yes, you’re right. And for Apple, it would be like running OS 9.
However, I’m sure Windows only supports the latest version of XP, not the original install or even SP1, which has security issues.
The phpBB Weekly Podcast - Discussing the developments of phpBB4 and beyond.

New to phpBB3? Want to learn about programing?
Visit phpBB Academy at StarTrekGuide to learn how.

User avatar
Nelsaidi
Registered User
Posts: 525
Joined: Mon Feb 11, 2008 1:59 pm
Location: London, UK
Contact:

Re: Discuss: phpBB 3.1 discontinues support for PHP < 5.2

Post by Nelsaidi » Sun Jan 31, 2010 2:52 pm

And that will be closer to the time of PHP6, which I assume this will be compatible since there are quiet a few of deperecated functions and methods i believe.

Good news, php 5 b rings some very useful stuff, especially in terms of OOP and should make way for better mods.
Image
Click here to find out what eRepublik is.

Locked

Return to “phpBB Discussion”